MembershipAttributesData (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.management, class: MembershipAttributesData

Package org.apache.geode.management

# Class MembershipAttributesData

java.lang.Object
org.apache.geode.management.MembershipAttributesData

@Deprecated public class MembershipAttributesData extends Object
Deprecated.
this API is scheduled to be removed
Composite data type used to distribute the membership attributes for a `Region`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MembershipAttributesData(Set<String> requiredRoles, String lossAction, String resumptionAction)`
  Deprecated.
  This constructor is to be used by internal JMX framework only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getLossAction()`
  Deprecated.
  Returns the policy that describes the action to take if any required roles are missing.
  `Set<String>`
  `getRequiredRoles()`
  Deprecated.
  Returns the set of Roles that are required for the reliability of this region.
  `String`
  `getResumptionAction()`
  Deprecated.
  Returns the policy that describes the action to take when resuming from missing roles.
  `String`
  `toString()`
  Deprecated.
  String representation of MembershipAttributesData

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MembershipAttributesData

    @ConstructorProperties({"requiredRoles","lossAction","resumptionAction"}) public MembershipAttributesData(Set<String> requiredRoles, String lossAction, String resumptionAction)
    Deprecated.
    This constructor is to be used by internal JMX framework only. User should not try to create an instance of this class.
    Parameters:
      `requiredRoles` - Array of required role names by this process for reliable access to the region
      `lossAction` - The configuration defining how this process behaves when there are missing required roles
      `resumptionAction` - The action to take when missing required roles return to the system

- ## Method Details

  - ### getRequiredRoles

    public Set<String> getRequiredRoles()
    Deprecated.
    Returns the set of Roles that are required for the reliability of this region.
    Returns:
      the set of Roles that are required for the reliability of this region

  - ### getLossAction

    public String getLossAction()
    Deprecated.
    Returns the policy that describes the action to take if any required roles are missing.
    Returns:
      the policy that describes the action to take if any required roles are missing

  - ### getResumptionAction

    public String getResumptionAction()
    Deprecated.
    Returns the policy that describes the action to take when resuming from missing roles.
    Returns:
      the policy that describes the action to take when resuming from missing roles

  - ### toString

    public String toString()
    Deprecated.
    String representation of MembershipAttributesData
    Overrides:
      `toString` in class `Object`